{% load gestion_projets_extras %}


<div class="remark primary">
    <p><b>Explication :</b> En tant qu'administrateur, vous devez vérifier que l'ensemble des étudiants ont un groupe et valider l'ensemble des sujets avant de passer à l'étape suivante.</p>
</div>

<div id="table_admin_projects" class="m-3">


    <table class="table striped" data-role="table" data-rows="-1" data-horizontal-scroll="true">
        <thead>
        <tr>
            <th class="sortable-column" data-format="number">ID</th>
            <th class="sortable-column">Groupe</th>
            <th class="sortable-column" data-format="number">Rank</th>
            <th class="sortable-column" data-format="float">Rand</th>
            <th class="sortable-column" data-format="money">R * R</th>
            <th class="sortable-column">Ordre</th>
            <th class="sortable-column">Num Sujet</th>
            <th class="sortable-column" data-format="number">Pos</th>
            <th class="sortable-column">Date Création</th>
            <th class="sortable-column">Date Modification</th>
            <th class="sortable-column">Projet</th>
            <th class="sortable-column">Delete</th>
        </tr>
        </thead>
        {% for project in session.projectselection_set.all %}
            <tr>
                <td>{{ project.id }}</td>
                <td>
                    {% for userProject in project.users.all %}
                        {{ userProject.last_name }} {{ userProject.first_name }}, 
                    {% endfor %}
                </td>
                <td>{{ project.ranking }}</td>
                <td>{{ project.random_number|round_fun:"2" }}</td>
                <td>{{ project.random_number|mul:project.ranking }}</td>
                <td>{{ project.order|short_selection }}</td>
                <td>{{ project.order_current|short_selection }}</td>
                <td>{{ project.order|choice_position:project.order_current }}</td>
                <td>{{ project.date_creation }}</td>
                <td>{{ project.date_modification }}</td>
                <td>{{ project.project_generated }}</td>
                <td><a class="button" href="{% url 'gestion_projets:delete_project_selection' session.id project.id%}">Delete</a></td>
            </tr>
        {% endfor %}
    </table>

    <div class="row">
        <div class="cell-lg-2">
            <h4>Initialisation</h4>
            <a class="button" href="{% url 'gestion_projets:create_project_selection' session.id %}">Init users</a>
            <a class="button" href="{% url 'gestion_projets:init_order_project_selection' session.id %}" title="Remise à zéro des affectations">Init Ordre</a>
            <a class="button" href="{% url 'gestion_projets:random_ranking_project_selection' session.id %}">Random</a>

            <a class="button" href="{% url 'gestion_projets:enable_ordering_project_selection' session.id %}">
                        {% if session.enable_ordering %}Stop Ordering{% else %}Start Ordering{% endif %}</a>
        </div>
        <div class="cell-lg-2">
            <h4>Load Ranking</h4>

            <form action="{% url 'gestion_projets:load_ranking_project_selection' session.id %}" method="POST" enctype="multipart/form-data">
                {% csrf_token %}

                <textarea id="list_members" name="description" rows="20" data-role="textarea" " >{% for project in session.projectselection_set.all %}{{ project.id }}&#9;{% for userProject in project.users.all %}{{ userProject.last_name }}{% endfor %}&#013;{% endfor %}</textarea>
                <small class="text-muted">Remplacer le nom par le ranking</small>
                
                <center><button class="button info" title="Ajouter des membres" type="submit">Soumettre</button></center>

            </form> 

        </div>
        <div class="cell-lg-2">
            <h4>Ranking Method</h4>
            <a class="button" href="{% url 'gestion_projets:step_project_selection' session.id %}">1 Step</a>
            <a class="button" href="{% url 'gestion_projets:all_step_project_selection' session.id %}">All Step</a>
        </div>
        <div class="cell-lg-2">
            <h4>Ranking Rand Method</h4>
            <a class="button" href="{% url 'gestion_projets:step_rank_rand_project_selection' session.id %}">1 Step</a>
            <a class="button" href="{% url 'gestion_projets:all_step_rank_rand_project_selection' session.id %}">All Step</a>
        </div>
        <div class="cell-lg-2">
            <h4>Projets</h4>
            <a class="button" href="{% url 'gestion_projets:generate_project_project_selection' session.id %}">Generate project</a>
            <a class="button" href="{% url 'gestion_projets:all_step_project_selection' session.id %}">TODO/delete projects</a>
        </div>
        <div class="cell-lg-2">
        </div>
        <div class="cell-lg-2">
        </div>
    </div>
    <div class="row">
        <div class="cell-lg-6">
            <!-- Liste des sujets -->
            <table class="table">
                <thead>
                <tr>
                    <th>ID</th>
                    <th>Sujet</th>
                    <th>Tuteur</th>
                </tr>
                </thead>
                <tbody>
                {% for subject in session.subjects.all %}
                    <tr>
                        <td>{{ subject.id }}</td>
                        <td>{{ subject.title }}</td>
                        <td>{{ subject.user }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        <div class="cell-lg-6">
            <table class="table">
                <thead>
                <tr>
                    <th>Sujet</th>
                    <th>Tuteur</th>
                    <th>Membres</th>
                    <th>Nombre</th>
                </tr>
                </thead>
                {% for project in session.project_set.all %}
                    <tr>
                        <td>{{ project.subject.title }}</td>
                        <td>{{ project.subject.user.first_name }} {{ project.subject.user.last_name }}</td>
                        <td>
                            {% for userProject in project.users.all %}
                                {{ userProject.first_name }} {{ userProject.last_name }}, 
                            {% endfor %}
                        </td>
                        <td>{{ project.users.count }}/4<br></td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </div>

<!-- Affichage tous les projets du tuteur -->
<!--<table class="table">
    <thead>
    <tr>
        <th>Sujet</th>
        <th>Tuteur</th>
        <th>Membres</th>
        <th>Nombre</th>
    </tr>
    </thead>
    {% for project in session.project_set.all %}
        <tr>
            <td>{{ project.subject.title }}</td>
            <td>{{ project.subject.user.first_name }} {{ project.subject.user.last_name }}</td>
            <td>
                {% for userProject in project.users.all %}
                    {{ userProject.first_name }} {{ userProject.last_name }}, 
                {% endfor %}
            </td>
            <td>{{ project.users.count }}/{{ session.maximum_per_group }}<br></td>
        </tr>
    {% endfor %}
</table>


<div class="remark primary">
    <p><b>Explication :</b> Il ne doit rester aucun étudiant pour démarrer la session suivante.</p>
</div>
<!-- Affichage tous les projets du tuteur -->
<!--table class="table">
    <thead>
    <tr>
        <th>Nom</th>
        <th>Prénom</th>
    </tr>
    </thead>
    {% for rem_student in remaining_student.all %}
        {% if rem_student|has_group:"Student" %}
            {% if rem_student|has_project:session %}
                <tr>
                    <td>{{ rem_student.first_name }} </td>
                    <td>{{ rem_student.last_name }}</td>
                </tr>
            {% endif %}
        {% endif %}
    {% endfor %}
</table-->
    <h2>TODO</h2>
    <p>Afficher les personnes sans préférences</p>
</div>